## clamav 0.103.12+dfsg

=== CMakeLists.txt ===
# Copyright (C) 2019-2022 Cisco Systems, Inc. and/or its affiliates. All rights reserved.

cmake_minimum_required( VERSION 3.12...3.13 )
set(CMAKE_C_STANDARD 90)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Change this on a release:
#  During active development: set(VERSION_SUFFIX "-devel-${TODAY}")
#  For beta:                  set(VERSION_SUFFIX "-beta")
#  For release candidate:     set(VERSION_SUFFIX "-rc")
#  For release:               set(VERSION_SUFFIX "")
string(TIMESTAMP TODAY "%Y%m%d")
set(VERSION_SUFFIX "")

project( ClamAV
         VERSION "0.103.12"
         DESCRIPTION "ClamAV open source email, web, and end-point anti-virus toolkit." )

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
include(Version)

set(PACKAGE_NAME      "${PROJECT_NAME}")
set(PACKAGE_VERSION   "${PROJECT_VERSION}")
set(PACKAGE_STRING    "${PROJECT_NAME} ${PROJECT_VERSION}${VERSION_SUFFIX}")
set(PACKAGE_BUGREPORT "https://github.com/Cisco-Talos/clamav/issues")
set(PACKAGE_URL       "https://www.clamav.net/")
HexVersion(PACKAGE_VERSION_NUM ${PROJECT_VERSION_MAJOR} ${PROJECT_VERSION_MINOR} ${PROJECT_VERSION_PATCH})

# libtool library versioning rules: http://www.gnu.org/software/libtool/manual/html_node/Updating-version-info.html
set(LIBCLAMAV_CURRENT  9)
set(LIBCLAMAV_REVISION 5)
set(LIBCLAMAV_AGE      0)

math(EXPR LIBCLAMAV_SOVERSION "${LIBCLAMAV_CURRENT} - ${LIBCLAMAV_AGE}")
set(LIBCLAMAV_VERSION "${LIBCLAMAV_SOVERSION}.${LIBCLAMAV_AGE}.${LIBCLAMAV_REVISION}")
HexVersion(LIBCLAMAV_VERSION_NUM ${LIBCLAMAV_CURRENT} ${LIBCLAMAV_REVISION} ${LIBCLAMAV_AGE})

set(LIBFRESHCLAM_CURRENT  2)
set(LIBFRESHCLAM_REVISION 1)
set(LIBFRESHCLAM_AGE      0)

math(EXPR LIBFRESHCLAM_SOVERSION "${LIBFRESHCLAM_CURRENT} - ${LIBFRESHCLAM_AGE}")
set(LIBFRESHCLAM_VERSION "${LIBFRESHCLAM_SOVERSION}.${LIBFRESHCLAM_AGE}.${LIBFRESHCLAM_REVISION}")
HexVersion(LIBFRESHCLAM_VERSION_NUM ${LIBFRESHCLAM_CURRENT} ${LIBFRESHCLAM_REVISION} ${LIBFRESHCLAM_AGE})

# Git optionally used to add commit info into build to differentiate in bug reports.
find_package(Git)
if(Git_FOUND)
    # Store git description into variable
    execute_process(COMMAND ${GIT_EXECUTABLE} describe --tags --always
        OUTPUT_VARIABLE REPO_VERSION)
    if("${REPO_VERSION}" MATCHES "")
        unset(REPO_VERSION)
    else()
        string(STRIP ${REPO_VERSION} REPO_VERSION)
    endif()
endif()

# Enable use of pkg-config to find depenencies.
find_package(PkgConfig QUIET)

#
# Find Build Tools
#

if(MAINTAINER_MODE)
    # Bison, Flex required to build Yara module for libclamav.
    find_package(BISON REQUIRED)
    find_package(FLEX  REQUIRED)
    # TODO: Gperf required to generate JS-normalization code.
    # find_package(GPERF REQUIRED)
endif()

#
# Load Build Options
#

# CMake Option default values:
set(ENABLE_APP_DEFAULT          ON)
set(ENABLE_MILTER_DEFAULT       OFF)
set(ENABLE_CLAMONACC_DEFAULT    ON)
set(ENABLE_EXAMPLES_DEFAULT     OFF)
if(WIN32)
    set(ENABLE_DOCS_DEFAULT     OFF)
else()
    set(ENABLE_DOCS_DEFAULT     ON)
endif()
set(ENABLE_DOXYGEN_DEFAULT      OFF)
set(ENABLE_UNRAR_DEFAULT        ON)
set(ENABLE_SYSTEMD_DEFAULT      ON)

# See CMakeOptions.cmake for additional options.
include(CMakeOptions.cmake)

if(ENABLE_LIBCLAMAV_ONLY AND (ENABLE_APP OR ENABLE_EXAMPLES))
    # Remember when disabled options are disabled for later diagnostics.
    set(ENABLE_LIB_ONLY_DISABLED_OTHERS 1)
else()
    set(ENABLE_LIB_ONLY_DISABLED_OTHERS 0)
endif()
if(ENABLE_LIBCLAMAV_ONLY)
    set(ENABLE_APP              OFF)
    set(ENABLE_EXAMPLES         OFF)
endif()

#
# Set RPATH for custom install prefixes
#
if(APPLE)
    set(CMAKE_MACOSX_RPATH 1)
endif()
set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")

#
# Define LINUX because CMake only defines UNIX
#
if("${CMAKE_SYSTEM_NAME}" STREQUAL "Linux")
    set(LINUX 1)

    if(CMAKE_COMPILER_IS_GNUCXX)
        # For O_LARGEFILE, O_CLOEXEC, O_DIRECTORY, O_NOFOLLOW, etc flags on older systems
        # (pre POSIX.1-2008: glibc 2.11 and earlier). #4042
        set(_GNU_SOURCE 1)
    endif()
endif()

#
# Set FreeBSD include path to include /usr/local/include
#
if(CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
    include_directories(/usr/local/include)
endif()

#
# Use the `lib` prefix on Windows, to match previous ClamAV build
#
if(WIN32)
   set(CMAKE_SHARED_LIBRARY_PREFIX "lib")
   set(CMAKE_STATIC_LIBRARY_PREFIX "lib")
endif()

#
# Find Library Dependencies
#
if (WIN32)
    find_package(PThreadW32)
    set(HAVE_PTHREAD_H 1)
    set(_REENTRANT 1)
    set(CL_THREAD_SAFE 1)
else()
    set(CMAKE_THREAD_PREFER_PTHREAD 1)
    find_package(Threads)
    if(Threads_FOUND AND CMAKE_USE_PTHREADS_INIT)
        set(HAVE_PTHREAD_H 1)
        set(_REENTRANT 1)
        set(CL_THREAD_SAFE 1)
    endif()
endif()

# libclamav efficacy dependencies
find_package(OpenSSL REQUIRED)
if(OPENSSL_FOUND)
    set(HAVE_LIBSSL 1)
endif()

find_package(ZLIB REQUIRED)
if(ZLIB_FOUND)
    set(HAVE_ZLIB_H 1)
    set(HAVE_LIBZ 1)
endif()

find_package(BZip2 REQUIRED)
if(BZIP2_FOUND)
    set(HAVE_BZLIB_H 1)
endif()

find_package(LibXml2 REQUIRED)
if(LibXml2_FOUND)
    set(HAVE_LIBXML2 1)
endif()

find_package(PCRE2 REQUIRED)
if(PCRE2_FOUND)
    set(HAVE_PCRE 1)
    set(USING_PCRE2 1)
endif()

# libclamav feature dependencies
if(NOT WIN32)
    find_package(Iconv REQUIRED)
    # Set variable required by libclamav to use iconv
    set(HAVE_ICONV 1)
endif()

if(ENABLE_JSON_SHARED)
    set(JSONC_USE_STATIC OFF)
else()
    set(JSONC_USE_STATIC ON)
endif()
find_package(JSONC REQUIRED)
# Set variable required by libclamav to use libjson-c
set(HAVE_JSON 1)

if(BYTECODE_RUNTIME STREQUAL "llvm")
    find_package(LLVM REQUIRED)
    if(LLVM_FOUND)
        # Set variable required by libclamav to use llvm instead of interpreter
        set(LLVM_VERSION ${LLVM_VERSION_MAJOR}${LLVM_VERSION_MINOR})
    endif()
endif()

# libfreshclam & app dependencies
if(NOT ENABLE_LIBCLAMAV_ONLY)
    find_package(CURL REQUIRED)

    if(APPLE)
        find_library(APPLE_CORE_FOUNDATION CoreFoundation)
        if (NOT APPLE_CORE_FOUNDATION)
            message(FATAL_ERROR "Apple CoreFoundation framework not found")
        endif()
        find_library(APPLE_SECURITY Security)
        if (NOT APPLE_SECURITY)
            message(FATAL_ERROR "Apple Security framework not found")
        endif()
    endif()

    if(ENABLE_APP)
        find_package(CURSES REQUIRED)

        if(NOT WIN32 AND ENABLE_MILTER)
            find_package(Milter REQUIRED)
        endif()

        if(LINUX AND ENABLE_SYSTEMD)
            find_package(SYSTEMD)
            if(SYSTEMD_FOUND)
                set(HAVE_SYSTEMD 1)
            endif()
        endif()
    endif()
endif()


# Do not disable assertions based on CMAKE_BUILD_TYPE.
foreach(_build_type "Release" "MinSizeRel" "RelWithDebInfo")
    foreach(_lang C CXX)
        string(TOUPPER "CMAKE_${_lang}_FLAGS_${_build_type}" _var)
        string(REGEX REPLACE "(^|)[/-]D *NDEBUG($|)" " " ${_var} "${${_var}}")
    endforeach()
endforeach()

# Disable optimizations if OPTIMIZE=OFF
if(NOT OPTIMIZE)
    # Get rid of any previous optimization flag settings...
    string(REGEX REPLACE "(\-O[011123456789])" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
    string(REGEX REPLACE "(\-O[011123456789])" "" CMAKE_C_FLAGS "${CMAKE_C_FLAGS}")

    # ...And substitute our own.
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O0")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O0")
endif()

# Support the latest c++ standard available.
include(ExtractValidFlags)
foreach(_cxx1x_flag -std=c++14 -std=c++11)
    extract_valid_cxx_flags(_cxx1x_flag_supported ${_cxx1x_flag})
    if(_cxx1x_flag_supported)
        set(CXX1XCXXFLAGS ${_cxx1x_flag})
        break()
    endif()
endforeach()

if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
    set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose the build type" FORCE)

    # Include "None" as option to disable any additional (optimization) flags,
    # relying on just CMAKE_C_FLAGS and CMAKE_CXX_FLAGS (which are empty by
    # default). These strings are presented in cmake-gui.
    set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS
        "None" "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
endif()

include(GNUInstallDirs)

# For test scripts and documentation
find_package(Python3)

# Always use '-fPIC'/'-fPIE' option.
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

# Checks for header files.
include(CheckIncludeFile)
check_include_file("arpa/inet.h"        HAVE_ARPA_INET_H)
check_include_file("fcntl.h"            HAVE_FCNTL_H)
check_include_file("grp.h"              HAVE_GRP_H)
check_include_file("limits.h"           HAVE_LIMITS_H)
check_include_file("malloc.h"           HAVE_MALLOC_H)
check_include_file("netdb.h"            HAVE_NETDB_H)
check_include_file("netinet/in.h"       HAVE_NETINET_IN_H)
check_include_file("poll.h"             HAVE_POLL_H)
check_include_file("pwd.h"              HAVE_PWD_H)
check_include_file("stdbool.h"          HAVE_STDBOOL_H)
check_include_file("stdlib.h"           HAVE_STDLIB_H)
check_include_file("string.h"           HAVE_STRING_H)
check_include_file("strings.h"          HAVE_STRINGS_H)
check_include_file("sys/cdefs.h"        HAVE_SYS_CDEFS_H)
check_include_file("sys/dl.h"           HAVE_SYS_DL_H)
check_include_file("sys/fileio.h"       HAVE_SYS_FILIO_H)
check_include_file("sys/mman.h"         HAVE_SYS_MMAN_H)
check_include_file("sys/param.h"        HAVE_SYS_PARAM_H)
check_include_file("sys/queue.h"        HAVE_SYS_QUEUE_H)
check_include_file("sys/select.h"       HAVE_SYS_SELECT_H)
check_include_file("sys/socket.h"       HAVE_SYS_SOCKET_H)
check_include_file("sys/stat.h"         HAVE_SYS_STAT_H)
check_include_file("sys/time.h"         HAVE_SYS_TIME_H)
check_include_file("sys/times.h"        HAVE_SYS_TIMES_H)
check_include_file("sys/uio.h"          HAVE_SYS_UIO_H)
check_include_file("syslog.h"           USE_SYSLOG)
check_include_file("termios.h"          HAVE_TERMIOS_H)
check_include_file("time.h"             HAVE_TIME_H)
check_include_file("unistd.h"           HAVE_UNISTD_H)
check_include_file("sys/fanotify.h"     HAVE_SYS_FANOTIFY_H)

if(WIN32)
    set(HAVE_RESOLV_H 1)
    set(HAVE_DIRENT_H 1)
    set(HAVE_DLFCN_H 1)
else()
    if(APPLE)
        set(BIND_8_COMPAT 1)
    endif()
    check_include_file("resolv.h"       HAVE_RESOLV_H) # Disabled, beacuse libfreshclam/dns.c is broken.
    check_include_file("dirent.h"       HAVE_DIRENT_H)
    check_include_file("dlfcn.h"        HAVE_DLFCN_H)
endif()

# int-types variants
check_include_file("inttypes.h"         HAVE_INTTYPES_H)
check_include_file("sys/inttypes.h"     HAVE_SYS_INTTYPES_H)
check_include_file("sys/int_types.h"    HAVE_SYS_INT_TYPES_H)
check_include_file("stdint.h"           HAVE_STDINT_H)

include(CheckTypeSize)
# Checks for typedefs, structures, and compiler characteristics.
# AC_TYPE_SIZE_T
check_type_size("ssize_t" SIZEOF_SSIZE_T)
if(SIZEOF_SSIZE_T STREQUAL "")
    # ssize_t is a signed type in POSIX storing at least -1.
    # Set it to "int" to match the behavior of AC_TYPE_SSIZE_T (autotools).
    set(SSIZE_T_DEF "typedef int ssize_t;")
endif()
check_type_size("off_t" SIZEOF_OFF_T)
if(SIZEOF_OFF_T STREQUAL "")
    # off_t is a signed type in POSIX no narrower than int.
    # Set it to "long int" to match the behavior of AC_TYPE_OFF_T (autotools).
    set(OFF_T_DEF "typedef long int off_t;")
endif()

check_type_size("int" SIZEOF_INT)
check_type_size("short" SIZEOF_SHORT)
check_type_size("long" SIZEOF_LONG)
check_type_size("long long" SIZEOF_LONG_LONG)

#
# Variables for clamav-types.h.in
#
if(HAVE_SYS_INT_TYPES_H)
    set(INT_TYPES_HEADER "#include <sys/int_types.h>")
elseif(HAVE_INTTYPES_H)
    set(INT_TYPES_HEADER "#include <inttypes.h>")
elseif(HAVE_STDINT_H)
    set(INT_TYPES_HEADER "#include <stdint.h>")
elseif(WIN32 AND MSVC)
    # Windows / Visual C++ (not Cygwin), stdint.h should exist.
    set(INT_TYPES_HEADER "#include <stdint.h>")
else()

=== clambc/CMakeLists.txt ===
# Copyright (C) 2020-2022 Cisco Systems, Inc. and/or its affiliates. All rights reserved.

cmake_minimum_required( VERSION 3.12...3.13 )

if(WIN32)
    add_definitions(-DWIN32_LEAN_AND_MEAN)
    add_definitions(-DHAVE_STRUCT_TIMESPEC)

    # Windows compatibility headers
    include_directories(${CMAKE_SOURCE_DIR}/win32/compat)
endif()

# The clambc executable.
add_executable( clambc )
target_sources( clambc
    PRIVATE
        bcrun.c )
if(WIN32)
    target_sources( clambc PRIVATE ${CMAKE_SOURCE_DIR}/win32/res/clambc.rc )
endif()
target_include_directories( clambc
    PRIVATE ${CMAKE_BINARY_DIR} # For clamav-config.h
)
set_target_properties( clambc PROPERTIES COMPILE_FLAGS "${WARNCFLAGS}" )
target_link_libraries( clambc
    PRIVATE
        ClamAV::libclamav
        ClamAV::shared )
if(WIN32)
    install(TARGETS clambc DESTINATION ${CMAKE_INSTALL_PREFIX})
else()
    install(TARGETS clambc DESTINATION ${CMAKE_INSTALL_BINDIR})
endif()

=== clamconf/CMakeLists.txt ===
# Copyright (C) 2020-2022 Cisco Systems, Inc. and/or its affiliates. All rights reserved.

cmake_minimum_required( VERSION 3.12...3.13 )

if(WIN32)
    add_definitions(-DWIN32_LEAN_AND_MEAN)
    add_definitions(-DHAVE_STRUCT_TIMESPEC)

    # Windows compatibility headers
    include_directories(${CMAKE_SOURCE_DIR}/win32/compat)
endif()

# The clamconf executable.
add_executable( clamconf )
target_sources( clamconf
    PRIVATE
        clamconf.c )
if(WIN32)
    target_sources( clamconf PRIVATE ${CMAKE_SOURCE_DIR}/win32/res/clamconf.rc )
endif()
target_include_directories( clamconf
    PRIVATE ${CMAKE_BINARY_DIR} # For clamav-config.h
)
set_target_properties( clamconf PROPERTIES COMPILE_FLAGS "${WARNCFLAGS}" )
target_link_libraries( clamconf
    PRIVATE
        ClamAV::libclamav
        ClamAV::shared )
if(WIN32)
    install(TARGETS clamconf DESTINATION ${CMAKE_INSTALL_PREFIX})
else()
    install(TARGETS clamconf DESTINATION ${CMAKE_INSTALL_BINDIR})
endif()

=== libclammspack/CMakeLists.txt ===

cmake_minimum_required( VERSION 3.13 )

add_compile_definitions(_LARGEFILE_SOURCE)
add_compile_definitions(_LARGEFILE64_SOURCE)
add_compile_definitions(_FILE_OFFSET_BITS=64)

if(WIN32)
	add_compile_definitions(_CRT_SECURE_NO_WARNINGS)
endif()

# This is a hack!  We need a config.h
# TODO: either un-vendor mspack, or use new mspack CMake tooling when it merges into the upstream.
configure_file(config.h.in.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

# mspack object
add_library( mspack_obj OBJECT )
target_sources( mspack_obj
    PRIVATE
        "mspack/cab.h"
        "mspack/cabc.c"
        "mspack/cabd.c"
        "mspack/chm.h"
        "mspack/chmc.c"
        "mspack/chmd.c"
        "mspack/crc32.c"
        "mspack/crc32.h"
        "mspack/des.h"
        "mspack/hlp.h"
        "mspack/hlpc.c"
        "mspack/hlpd.c"
        "mspack/kwaj.h"
        "mspack/kwajc.c"
        "mspack/kwajd.c"
        "mspack/lit.h"
        "mspack/litc.c"
        "mspack/litd.c"
        "mspack/lzss.h"
        "mspack/lzssd.c"
        "mspack/lzx.h"
        "mspack/lzxc.c"
        "mspack/lzxd.c"
        "mspack/mszip.h"
        "mspack/mszipc.c"
        "mspack/mszipd.c"
        "mspack/oab.h"
        "mspack/oabc.c"
        "mspack/oabd.c"
        "mspack/qtm.h"
        "mspack/qtmd.c"
        "mspack/readbits.h"
        "mspack/readhuff.h"
        "mspack/sha.h"
        "mspack/system.c"
        "mspack/system.h"
        "mspack/szdd.h"
        "mspack/szddc.c"
        "mspack/szddd.c" )
target_include_directories( mspack_obj
    PRIVATE
        "${CMAKE_BINARY_DIR}"
        "${CMAKE_CURRENT_BINARY_DIR}"
    PUBLIC  "${CMAKE_CURRENT_SOURCE_DIR}/mspack" )

# The mspack shared library.
add_library( mspack SHARED )
set_target_properties(mspack PROPERTIES
    VERSION "0.8.0"
    SOVERSION 0)
if(WIN32)
    set_target_properties(mspack PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON)
endif()
target_sources( mspack
    PUBLIC
        "${CMAKE_CURRENT_SOURCE_DIR}/mspack/mspack.h" )
if(WIN32)
    install(TARGETS mspack DESTINATION ${CMAKE_INSTALL_PREFIX})
else()
    install(TARGETS mspack DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif()

# Public (forwarded) dependencies.
target_link_libraries( mspack
    PUBLIC
        mspack_obj )

add_library( ClamAV::libmspack ALIAS mspack )

=== libclamav/c++/llvm/lib/ExecutionEngine/CMakeLists.txt ===
add_llvm_library(LLVMExecutionEngine
  ExecutionEngine.cpp
  ExecutionEngineBindings.cpp
  )

=== libclamav/c++/llvm/lib/MC/CMakeLists.txt ===
add_llvm_library(LLVMMC
  ELFObjectWriter.cpp
  MCAsmInfo.cpp
  MCAsmInfoCOFF.cpp
  MCAsmInfoDarwin.cpp
  MCAsmStreamer.cpp
  MCAssembler.cpp
  MCCodeEmitter.cpp
  MCContext.cpp
  MCDisassembler.cpp
  MCELFStreamer.cpp
  MCExpr.cpp
  MCInst.cpp
  MCInstPrinter.cpp
  MCLabel.cpp
  MCDwarf.cpp
  MCLoggingStreamer.cpp
  MCMachOStreamer.cpp
  MCNullStreamer.cpp
  MCObjectStreamer.cpp
  MCObjectWriter.cpp
  MCSection.cpp
  MCSectionCOFF.cpp
  MCSectionELF.cpp
  MCSectionMachO.cpp
  MCStreamer.cpp
  MCSymbol.cpp
  MCValue.cpp
  MachObjectWriter.cpp
  WinCOFFStreamer.cpp
  WinCOFFObjectWriter.cpp
  TargetAsmBackend.cpp
  )

=== libclamav/c++/llvm/lib/Target/Makefile ===
#===- lib/Target/Makefile ----------------------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##

LEVEL = ../..
LIBRARYNAME = LLVMTarget
BUILD_ARCHIVE = 1

# We include this early so we can access the value of TARGETS_TO_BUILD as the
# value for PARALLEL_DIRS which must be set before Makefile.rules is included
include $(LEVEL)/Makefile.config

PARALLEL_DIRS := $(TARGETS_TO_BUILD)

include $(LLVM_SRC_ROOT)/Makefile.rules

=== libclamav/c++/llvm/utils/llvm-lit/Makefile ===
##===- utils/llvm-lit/Makefile -----------------------------*- Makefile -*-===##
# 
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
# 
##===----------------------------------------------------------------------===##

LEVEL = ../..

include $(LEVEL)/Makefile.common

all:: $(ToolDir)/llvm-lit

$(ToolDir)/llvm-lit: llvm-lit.in $(ToolDir)/.dir
	$(Echo) "Creating 'llvm-lit' script..."
	$(Verb)sed -e "s#@LLVM_SOURCE_DIR@#$(LLVM_SRC_ROOT)#g" \
	     -e "s#@LLVM_BINARY_DIR@#$(LLVM_OBJ_ROOT)#g" \
	     $< > $@
	$(Verb)chmod +x $@

=== libclamav/c++/llvm/lib/CodeGen/SelectionDAG/CMakeLists.txt ===
add_llvm_library(LLVMSelectionDAG
  DAGCombiner.cpp
  FastISel.cpp
  FunctionLoweringInfo.cpp
  InstrEmitter.cpp
  LegalizeDAG.cpp
  LegalizeFloatTypes.cpp
  LegalizeIntegerTypes.cpp
  LegalizeTypes.cpp
  LegalizeTypesGeneric.cpp
  LegalizeVectorOps.cpp
  LegalizeVectorTypes.cpp
  ScheduleDAGFast.cpp
  ScheduleDAGList.cpp
  ScheduleDAGRRList.cpp
  ScheduleDAGSDNodes.cpp
  SelectionDAG.cpp
  SelectionDAGBuilder.cpp
  SelectionDAGISel.cpp
  SelectionDAGPrinter.cpp
  TargetLowering.cpp
  TargetSelectionDAGInfo.cpp
  )

target_link_libraries (LLVMSelectionDAG LLVMAnalysis LLVMAsmPrinter LLVMCodeGen)

=== libclamav/c++/llvm/lib/CodeGen/SelectionDAG/Makefile ===
##===- lib/CodeGen/SelectionDAG/Makefile -------------------*- Makefile -*-===##
#
#                     The LLVM Compiler Infrastructure
#
# This file is distributed under the University of Illinois Open Source
# License. See LICENSE.TXT for details.
#
##===----------------------------------------------------------------------===##

LEVEL = ../../..
LIBRARYNAME = LLVMSelectionDAG

include $(LEVEL)/Makefile.common

=== libclamav/c++/llvm/lib/ExecutionEngine/JIT/CMakeLists.txt ===
# TODO: Support other architectures. See Makefile.
add_definitions(-DENABLE_X86_JIT)

add_llvm_library(LLVMJIT
  Intercept.cpp
  JIT.cpp
  JITDebugRegisterer.cpp
  JITDwarfEmitter.cpp
  JITEmitter.cpp
  JITMemoryManager.cpp
  OProfileJITEventListener.cpp
  TargetSelect.cpp
  )

=== libclamav/c++/llvm/lib/Transforms/Scalar/CMakeLists.txt ===
add_llvm_library(LLVMScalarOpts
  ADCE.cpp
  BasicBlockPlacement.cpp
  CodeGenPrepare.cpp
  ConstantProp.cpp
  CorrelatedValuePropagation.cpp
  DCE.cpp
  DeadStoreElimination.cpp
  GEPSplitter.cpp
  GVN.cpp
  IndVarSimplify.cpp
  JumpThreading.cpp
  LICM.cpp
  LoopDeletion.cpp
  LoopIndexSplit.cpp
  LoopRotation.cpp
  LoopStrengthReduce.cpp
  LoopUnrollPass.cpp
  LoopUnswitch.cpp
  LowerAtomic.cpp
  MemCpyOptimizer.cpp
  Reassociate.cpp
  Reg2Mem.cpp
  SCCP.cpp
  Scalar.cpp
  ScalarReplAggregates.cpp
  SimplifyCFGPass.cpp
  SimplifyHalfPowrLibCalls.cpp
  SimplifyLibCalls.cpp
  Sink.cpp
  TailDuplication.cpp
  TailRecursionElimination.cpp
  )

target_link_libraries (LLVMScalarOpts LLVMTransformUtils)

=== debian/changelog ===
clamav (0.103.12+dfsg-0ubuntu0.20.04.1) focal-security; urgency=medium

  * Updated to version 0.103.12 to fix db compatibility.
    - debian/rules: bump CL_FLEVEL to 133.
    - debian/libclamav9.symbols: updated CLAMAV_PRIVATE and cl_retflevel
      symbols to new version.
    - CVE-2024-20505
    - CVE-2024-20506

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 06 Sep 2024 14:47:51 -0400

clamav (0.103.11+dfsg-0ubuntu0.20.04.1) focal-security; urgency=medium

  * Updated to version 0.103.11 to fix db compatibility. (LP: #2046581)
    - debian/rules: bump CL_FLEVEL to 132.
    - debian/libclamav9.symbols: updated CLAMAV_PRIVATE symbols to new
      version.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 04 Jan 2024 07:41:37 -0500

clamav (0.103.9+dfsg-0ubuntu0.20.04.1) focal-security; urgency=medium

  * Updated to version 0.103.9 to fix security issues. (LP: #2031565)
    - debian/libclamav9.symbols: updated CLAMAV_PRIVATE symbols to new
      version.
    - CVE-2023-20197

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 17 Aug 2023 12:10:13 -0400

clamav (0.103.8+dfsg-0ubuntu0.20.04.1) focal-security; urgency=medium

  * Updated to version 0.103.8 to fix security issues.
    - debian/rules: bump CL_FLEVEL to 129.
    - debian/libclamav9.symbols: updated CLAMAV_PRIVATE symbols to new
      version.
    - CVE-2023-20032, CVE-2023-20052

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Mon, 20 Feb 2023 16:07:55 +0100

clamav (0.103.6+dfsg-0ubuntu0.20.04.1) focal-security; urgency=medium

  * Updated to version 0.103.6 to fix security issues.
    - Drop debian/patches/Fix-ck_assert_msg-call.patch, included in new
      version
    - debian/rules: bump CL_FLEVEL to 127.
    - debian/libclamav9.symbols: updated CLAMAV_PRIVATE symbols to new
      version.
    - CVE-2022-20770, CVE-2022-20771, CVE-2022-20785, CVE-2022-20792,
      CVE-2022-20796

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 May 2022 12:40:40 -0400

clamav (0.103.5+dfsg-1~20.04.1) focal-security; urgency=medium

  * Rebuild as security update for focal.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 17 Jan 2022 08:19:19 -0500

=== debian/control ===
Source: clamav
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Michael Tautschnig <mt@debian.org>,
           Scott Kitterman <scott@kitterman.com>,
           Sebastian Andrzej Siewior <sebastian@breakpoint.cc>,
           Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>
Build-Depends: automake,
               check,
               debhelper-compat (= 12),
               dh-apparmor,
               dh-strip-nondeterminism,
               libbz2-dev,
               libcurl4-openssl-dev,
               libjson-c-dev | libjson0-dev,
               libltdl-dev,
               libmilter-dev,
               libmspack-dev,
               libncurses-dev,
               libpcre2-dev,
               libssl-dev,
               libsystemd-dev [linux-any],
               libtfm-dev,
               libxml2-dev,
#               llvm-dev [i386 amd64 kfreebsd-amd64 kfreebsd-i386],
               perl:native,
               pkg-config,
               po-debconf,
#               python:native, # Only needed for llvm
               zlib1g-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/clamav-team/clamav.git
Vcs-Browser: https://salsa.debian.org/clamav-team/clamav
Homepage: https://www.clamav.net/

Package: clamav-base
Architecture: all
Depends: adduser, logrotate, ucf, ${misc:Depends}
Recommends: clamav
Description: anti-virus utility for Unix - base package
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package mainly manages the clamav system account. It is not really
 useful without the clamav or clamav-daemon package.

Package: clamav-docs
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: anti-virus utility for Unix - documentation
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package contains the documentation for the ClamAV suite.

Package: clamav
Architecture: any
Multi-Arch: foreign
Depends: clamav-freshclam (>= ${source:Upstream-Version}) | clamav-data,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: clamav-base
Suggests: libclamunrar, clamav-docs
Description: anti-virus utility for Unix - command-line interface
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package contains the command line interface. Features:
  - built-in support for various archive formats, including Zip, Tar,
    Gzip, Bzip2, OLE2, Cabinet, CHM, BinHex, SIS and others;
  - built-in support for almost all mail file formats;
  - built-in support for ELF executables and Portable Executable files
    compressed with UPX, FSG, Petite, NsPack, wwpack32, MEW, Upack and
    obfuscated with SUE, Y0da Cryptor and others;
  - built-in support for popular document formats including Microsoft
    Office and Mac Office files, HTML, RTF and PDF.
 .
 For scanning to work, a virus database is needed. There are two options
 for getting it:
  - clamav-freshclam: updates the database from Internet. This is
    recommended with Internet access.
  - clamav-data: for users without Internet access. The package is
    not updated once installed. The clamav-getfiles package allows
    creating custom packages from an Internet-connected computer.

Package: libclamav-dev
Section: libdevel
Architecture: any
Depends: libbz2-dev,
         libc6-dev | libc-dev,
         libclamav9 (= ${binary:Version}),
         libssl-dev,
         libtommath-dev,
         zlib1g-dev,
         ${misc:Depends}
Description: anti-virus utility for Unix - development files
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 The package contains the needed headers and libraries for
 developing software using the libclamav interface.
 .
 This library can be used to develop virus scanner applications.

Package: libclamav9
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libclamunrar, libclamunrar9
Description: anti-virus utility for Unix - library
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 For programs written using the libclamav library. Libclamav may be used to add
 virus protection into software. The library is thread-safe, and automatically
 recognizes and scans archives. Scanning is very fast and most of the time
 not noticeable.

Package: clamav-daemon
Architecture: any
Depends: adduser,
         clamav-base (= ${source:Version}),
         clamav-freshclam (>= ${source:Upstream-Version}) | clamav-data,
         dpkg (>= 1.16.1),
         lsb-base (>= 3.2-13),
         procps (>= 1:3.3.2),
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: clamdscan
Suggests: libclamunrar, apparmor, clamav-docs, daemon [!hurd-any]
Description: anti-virus utility for Unix - scanner daemon
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package contains the daemon featuring:
  - fast, multi-threaded daemon;
  - easy integration with MTA's;
  - support for on-access scanning;
  - remote scanning;
  - able to be run supervised by daemon.

Package: clamdscan
Architecture: any
Depends: clamav-base (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: clamav-daemon, clamav-docs
Description: anti-virus utility for Unix - scanner client
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package contains clamdscan, the command line interface of the clamav
 daemon.

Package: clamav-testfiles
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: anti-virus utility for Unix - test files
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package contains files 'infected' with a test signature. The test
 signature (ClamAV-Test-Signature) should be detectable by all
 anti-virus programs.

Package: clamav-freshclam
Architecture: any
Conflicts: clamav-data, libclamav2, libclamav3
Provides: clamav-data
Suggests: apparmor, clamav-docs
Recommends: ca-certificates
Depends: clamav-base (>= ${source:Version}),
         dpkg (>= 1.16.1),
         logrotate,
         lsb-base (>= 3.2-13),
         procps (>= 1:3.3.2),
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Description: anti-virus utility for Unix - virus database update utility
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package contains the freshclam program and scripts to automate virus
 database updating. It relies on an Internet connection, but can be
 run in a variety of ways to compensate for intermittent connections.

Package: clamav-milter
Architecture: any
Suggests: clamav-docs, daemon [!hurd-any]
Recommends: clamav-daemon
Depends: adduser,
         clamav-base (>= ${source:Version}),
         clamav-freshclam (>= ${source:Upstream-Version}) | clamav-data,
         dpkg (>= 1.16.1),
         logrotate,
         lsb-base (>= 3.2-13),
         procps (>= 1:3.3.2),
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Description: anti-virus utility for Unix - sendmail integration
 Clam AntiVirus is an anti-virus toolkit for Unix. The main purpose of
 this software is the integration with mail servers (attachment
 scanning). The package provides a flexible and scalable
 multi-threaded daemon in the clamav-daemon package, a command-line
 scanner in the clamav package, and a tool for automatic updating via
 the Internet in the clamav-freshclam package. The programs are based
 on libclamav, which can be used by other software.
 .
 This package contains the ClamAV milter for use with sendmail. It can
 be configured to be run either standalone, or using clamav-daemon.

=== debian/rules ===
#! /usr/bin/make -f

# Comment this out to turn off verbose mode.
#export DH_VERBOSE=1

# Automake 1.14 warns about not using subdir-objects,
# but using this option breaks the build, see:
#    http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16375
#    http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13928
# The following variables can be used to override the automake/aclocal versions.
#export AUTOMAKE = automake
#export ACLOCAL = aclocal
include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# This is needed to work around arch-specific quirks in the test suite.
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Get the hardening build flags and enable all compiler warnings:
CFLAGS   := $(shell dpkg-buildflags --get CFLAGS) -Wall -D_FILE_OFFSET_BITS=64
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) -Wall -D_FILE_OFFSET_BITS=64
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

# LLVM is only used on these archs, so no point in enabling it elsewhere
# To add new llvm/jit archs add it here and to the arch list for llvm-dev in
# debian/control.
# PowerPC is disabled until atleast llvm-3.8. As thing stand now MCJIT is
# broken in llvm-3.6.
# Currently LLVM is disabled because there is no support for llvm > 3.8
#ifeq (,$(filter $(DEB_HOST_ARCH), i386 amd64 kfreebsd-amd64 kfreebsd-i386))
  export enable_llvm=no
#else
#    SYSTEM_LLVM = -with-system-llvm=/usr/bin/llvm-config --with-llvm-linking=dynamic
#endif

# Set the configure options:
#	* add the build flags
#	* set various paths
#	* disable test for clamav user/group (--disable-clamav)
#	* disable building of the non-free libclamunrar (--disable-unrar)
#	* build clamav-milter (--enable-milter)
#	* enable workaround for broken DNS servers (--enable-dns-fix)
#	* assume the C compiler uses GNU ld (--with-gnu-ld)
#	* use system libraries instead of the embedded copies (--with-system-tommath, --without-included-ltdl, -with-system-llvm=/usr/bin/llvm-config)
CONFIG := CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" \
	--with-dbdir=/var/lib/clamav --sysconfdir=/etc/clamav \
	--disable-clamav --disable-unrar --enable-milter --enable-dns-fix \
	--with-libjson --with-system-libmspack --with-libcurl=/usr \
	--with-gnu-ld $(SYSTEM_LLVM) \
	--with-systemdsystemunitdir=/lib/systemd/system

DEBUG_OPTS=

# Enable debug code, if nostrip was given.
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
else
	DEBUG_OPTS += --enable-debug
endif

%:
	dh $@

override_dh_auto_configure:
	$(info DEB_BUILD_OPTIONS = $(DEB_BUILD_OPTIONS))
	$(info CFLAGS = $(CFLAGS))
	$(info CXXFLAGS = $(CXXFLAGS))
	$(info CPPFLAGS = $(CPPFLAGS))
	$(info LDFLAGS = $(LDFLAGS))
	# Check for unknown options in the configuration files.
	egrep '^#[[:alpha:]]' etc/clamd.conf.sample | sed -e 's/^#//' | awk '{print $$1}' | while read opt; do \
	  if ! grep -q "$${opt}" debian/clamav-daemon.postinst.in ; then \
	    echo "Unhandled option(clamd.conf): $${opt}"; \
	    touch debian/exit; \
	  fi;\
	done; \
	egrep '^#[[:alpha:]]' etc/freshclam.conf.sample | sed -e 's/^#//' | awk '{print $$1}' | while read opt; do \
	  if ! grep -q "$${opt}" debian/clamav-freshclam.postinst.in ; then \
	    echo "Unhandled option (freshclam.conf): $${opt}"; \
	    touch debian/exit; \
	  fi;\
	done; \
	egrep '^#[[:alpha:]]' etc/clamav-milter.conf.sample | sed -e 's/^#//' | awk '{print $$1}' | while read opt; do \
	  if ! grep -q "$${opt}" debian/clamav-milter.postinst.in ; then \
	    echo "Unhandled option (clamav-milter.conf): $${opt}"; \
	    touch debian/exit; \
	  fi;\
	done; \
	# Check for library features which may have been upgraded.
	if ! grep -q "CL_FLEVEL 133" libclamav/others.h ; then \
		echo "cl_retflevel needs boosting in symbol file"; \
		touch debian/exit; \
	fi;
	sed "s/ \(.*\)@CLAMAV_PRIVATE .*/ \1@CLAMAV_PRIVATE $(shell echo $(DEB_VERSION) | cut -d+ -f1)/" \
		< debian/libclamav9.symbols > debian/libclamav9.symbols.latest
	if ! cmp debian/libclamav9.symbols debian/libclamav9.symbols.latest; then \
		echo "Need to update CLAMAV_PRIVATE symbols"; \
		touch debian/exit; \
	fi;

	[ ! -f debian/exit ] || (rm debian/exit && exit 1)
	rm debian/libclamav9.symbols.latest

	# Configure using the specified flags.
	dh_auto_configure -- $(CONFIG) $(DEBUG_OPTS)

override_dh_auto_clean:
	# Update .po files for debconf.
	debconf-updatepo
	dh_auto_clean

clamav_build-indep:
	# Add common functions in config and postinst files.
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-base.postinst.in > debian/clamav-base.postinst

clamav_build-arch:
	# Add common functions in config and postinst files.
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-milter.init.in > debian/clamav-milter.init
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-milter.config.in > debian/clamav-milter.config
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-milter.postinst.in > debian/clamav-milter.postinst
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-daemon.config.in > debian/clamav-daemon.config
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-daemon.postinst.in > debian/clamav-daemon.postinst
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-daemon.init.in > debian/clamav-daemon.init
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-freshclam.init.in > debian/clamav-freshclam.init
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-freshclam.config.in > debian/clamav-freshclam.config
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-freshclam.postinst.in > debian/clamav-freshclam.postinst
	perl -pe 's~#COMMON-FUNCTIONS#~qx{cat debian/common_functions}~eg' < debian/clamav-freshclam.prerm.in > debian/clamav-freshclam.prerm

override_dh_auto_build-indep: clamav_build-indep
	# Build architecture-independent files.
	dh_auto_build -i -- V=1

override_dh_auto_build-arch: clamav_build-arch
	# Build architecture-dependent files.
	dh_auto_build -a -- V=1

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifneq (,$(filter ia64 sparc, $(DEB_HOST_ARCH)))
	T=900 $(MAKE) check EF_ALIGNMENT=8 V=1 VERBOSE=1
else
	T=900 $(MAKE) check V=1 VERBOSE=1
endif
endif

override_dh_install:
# clamonacc is only built on linux architectures
ifneq (linux, $(DEB_HOST_ARCH_OS))
	grep -v 'clamonacc' debian/clamav-daemon.install > debian/clamav-daemon.install.$(DEB_HOST_ARCH_OS)
	grep -v 'clamonacc' debian/clamav-daemon.manpages > debian/clamav-daemon.manpages.$(DEB_HOST_ARCH_OS)
endif
	dh_install
	dh_apparmor -pclamav-freshclam --profile-name=usr.bin.freshclam
	dh_apparmor -pclamav-daemon --profile-name=usr.sbin.clamd

override_dh_installinit:
	dh_installinit -pclamav-daemon
	# Don't change the postinst/postrm scripts for clamav-freshclam, as they need non-standard code.
	dh_installinit -pclamav-freshclam --noscripts
	dh_installinit -pclamav-milter

override_dh_installdocs-indep:
	dh_installdocs
	# Make the .rar test files which are no longer created
	cat test/.split/split.clam-v2.raraa test/.split/split.clam-v2.rarab >debian/clamav-testfiles/usr/share/clamav-testfiles/clam-v2.rar
	cat test/.split/split.clam-v3.raraa test/.split/split.clam-v3.rarab >debian/clamav-testfiles/usr/share/clamav-testfiles/clam-v3.rar

# dh_strip_nondeterminism breaks .zip files. See #817943
override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xclam.bz2.zip -Xclam.d64.zip -Xclam.impl.zip -Xclam.zip

# Don't compress the example configuration files and the documentation PDFs.
override_dh_compress:
	dh_compress -Xexamples

override_dh_clean:
